Bug 496099 - USB wifi dongles that require usb_switcher
USB wifi dongles that require usb_switcher
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: usb_modeswitch (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: mail@romal.de
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-16 12:15 EDT by Wade Mealing
Modified: 2010-04-28 05:11 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-28 05:11:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wade Mealing 2009-04-16 12:15:39 EDT
Description of problem:

Some USB dongles have a dual mode, where they can be a USB disk or a 3G style USB dongle modem of internet connection.

The problem is, unless one uses the usb_modeswitch ( http://www.draisberghof.de/usb_modeswitch/ ) this device will appear as a CDROM to the host system.  I see how this may be useful to install windows drivers, not so useful to me.

Ideally, what I'd like to see is networkmanager do the usb modeswitch for me. Perhaps this might be better off in the kernel space,but I'm not sure.

Version-Release number of selected component (if applicable):

NetworkManager-0.7.0.100-2.git20090408.fc11.i586


How reproducible:

Every time

Steps to Reproduce:
1. Buy starhub ZTE modem
2. Insert modem into USB slot
3. Thunar pops up letting me know a new volume has been inserted. joy of joys.
  
Actual results:

The all powerful networkmanager refuses to acknowledge the modem powers of the attached USB dongle.  Remote networking fail !

Expected results:

Networkmanager to laugh maniacally at the device, whip it out of USB CDROM mode, and teach it how to be the modem it has always wanted to be.

Additional info:

Unpacking the usb_modeswitch there seems to be a bunch of possible crazytown devices that have the same problem.  I think having this in networkmanager would be excellent.
Comment 2 Dan Williams 2009-04-16 14:28:47 EDT
We actually ship "modem-modeswitch" in udev-extras, where I'd like to add support for the ZTE device instead of anything to do with NM.  I don't like usb_modeswitch for a few reasons (one being raw USB command data in a *config* file) so I'd prefer to extend modem-modeswitch instead.
Comment 3 Bug Zapper 2009-06-09 09:56:34 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Sergio Monteiro Basto 2009-06-13 18:10:29 EDT
(In reply to comment #2)
> We actually ship "modem-modeswitch" in udev-extras, where I'd like to add
> support for the ZTE device instead of anything to do with NM.  I don't like
> usb_modeswitch for a few reasons (one being raw USB command data in a *config*
> file) so I'd prefer to extend modem-modeswitch instead.  

but stops to work, at least with zte MF 622.
add this to 

ATTRS{idVendor}=="19d2", ATTRS{idProduct}=="2000", RUN+="modem-modeswitch -v 0x%s{idVendor} -p 0x%s{idProduct} -t option-zerocd"
Comment 5 Sergio Monteiro Basto 2009-06-13 19:13:02 EDT
my last message not working this message : 
kernel: usb 2-1: USB disconnect, address 3                                                                
usb_id[2442]: unable to access '/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1:1.0/host2/target2:0:0/2:0:0:0/block/sr1'                  

at bug #496099, I found and install usb_modeswitch
edit and uncomment /etc/usb_modeswitch.conf for ZTE MF622

vi /etc/udev/rules.d/70-persistent-cd.rules and add 

ACTION=="add", ATTRS{idVendor}=="19d2", ATTRS{idProduct}=="2000", RUN+="/usr/bin/usb_modeswitch"


for me the problem on f11 , which I not had in f10 was 

/lib/udev/write_cd_rules which write on /etc/udev/rules.d/70-persistent-cd.rules 
rules for USB disk
I had to remove it too .
Comment 6 Sergio Monteiro Basto 2009-06-13 19:18:20 EDT
(In reply to comment #5)
I mean at bug #499920
Comment 7 Dan Williams 2009-12-04 23:12:17 EST
-> usb_modeswitch to ensure that rules for these devices exist.
Comment 8 Axel Thimm 2010-02-16 03:26:37 EST
I'm retrying to get a ZTE MF622 workign under Fedora (12 this time). What is the proper way?

(In reply to comment #2)
> We actually ship "modem-modeswitch" in udev-extras, where I'd like to add
> support for the ZTE device instead of anything to do with NM.  I don't like
> usb_modeswitch for a few reasons (one being raw USB command data in a *config*
> file) so I'd prefer to extend modem-modeswitch instead.    

(In reply to comment #7)
> -> usb_modeswitch to ensure that rules for these devices exist.    

The above two comments contradict,  as do other parts of bugzilla/web. Should one use option or just usb_serial? Should one use usb_modeswitch, modem-modeswitch, nothing at all?

Shouldn't there be a plug and play experience by now? This modem is quite popular in Greece for example and people stop using Fedora because LM or Ubuntu allegedly does support it out of of the box. :/
Comment 9 Harald Hoyer 2010-02-16 04:21:49 EST
Have a look at:

/lib/udev/rules.d/61-option-modem-modeswitch.rules

Btw, Fedora uses upstream udev rules.
Comment 10 Harald Hoyer 2010-02-16 04:24:47 EST
ok, after reading #499920 you might want to use usb_modeswitch.
Comment 11 Bug Zapper 2010-04-27 09:42:28 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Huzaifa S. Sidhpurwala 2010-04-28 05:11:54 EDT
Seems like , there is nothing to do over here.

Note You need to log in before you can comment on or make changes to this bug.